
#include "auth.h"
#include "debug.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>

static int auth_anonymous_assert( struct link *link, time_t stoptime )
{
	debug("auth_anonyous: authenticated");
	return 1;
}

static int auth_anonymous_accept( struct link *link, char **subject, time_t stoptime )
{
	debug("auth_anonyous: authenticated");
	*subject = strdup("anonymous");
	return 1;
}

int auth_anonymous_register()
{
	debug("auth_anonymous: registered");
	return auth_register( "anonymous", auth_anonymous_assert, auth_anonymous_accept );
}

