/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef OFFSET_BUFFER_H
#define OFFSET_BUFFER_H

struct offset_buffer * offset_buffer_create( unsigned size, unsigned with_headroom );
void offset_buffer_delete( struct offset_buffer *b );

char * offset_buffer_data( struct offset_buffer *b );
unsigned offset_buffer_length( struct offset_buffer *b );

unsigned offset_buffer_append( struct offset_buffer *b, char *data, unsigned length );
unsigned offset_buffer_prepend( struct offset_buffer *b, char *data, unsigned length );

unsigned offset_buffer_gets( struct offset_buffer *b, char *data, unsigned maxlength );

void offset_buffer_mark( struct offset_buffer *b );
void offset_buffer_reset( struct offset_buffer *b );

#endif
