/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef SAFE_LIST_H
#define SAFE_LIST_H

struct safe_list * safe_list_create();
void               safe_list_delete( struct safe_list *l );
void	           safe_list_push_head( struct safe_list *l, void *item );
void *	           safe_list_pop_head( struct safe_list *l );
void               safe_list_push_tail( struct safe_list *l, void *item );
void *             safe_list_pop_tail( struct safe_list *l );
void               safe_list_flush( struct safe_list *l );

#endif
